Bug 16490 - Add an "add to cart" link for each search results in the staff client
Summary: Add an "add to cart" link for each search results in the staff client
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL: /cgi-bin/koha/catalogue/search.pl?q=X
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-10 14:23 UTC by Owen Leonard
Modified: 2017-12-07 22:17 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16490 - Add an "add to cart" link for each search results in the staff client (11.01 KB, patch)
2016-05-10 15:06 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16490 - Add an "add to cart" link for each search results in the staff client (11.15 KB, patch)
2016-05-10 15:17 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16490: Tidy updateLink and updateAllLinks (1.75 KB, patch)
2016-06-18 15:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16490: Tidy updateLink and updateAllLinks (1.92 KB, patch)
2016-06-18 16:32 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16490 - Add an "add to cart" link for each search results in the staff client (11.21 KB, patch)
2016-06-19 10:40 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16490: Tidy updateLink and updateAllLinks (1.99 KB, patch)
2016-06-19 10:40 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16490 - Add an "add to cart" link for each search results in the staff client (11.60 KB, patch)
2016-06-24 13:45 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 16490: Tidy updateLink and updateAllLinks (2.05 KB, patch)
2016-06-24 13:45 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-05-10 14:23:24 UTC
On the OPAC search results page each line has an "add to cart" link. This lets the user select individual results without having to check a box and scroll all the way to the top. I propose to add this to the staff client search results.
Comment 1 Owen Leonard 2016-05-10 15:06:03 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-05-10 15:17:51 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-06-18 15:48:54 UTC Comment hidden (obsolete)
Comment 4 Marc Véron 2016-06-18 16:32:19 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2016-06-19 10:40:11 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2016-06-19 10:40:15 UTC Comment hidden (obsolete)
Comment 7 Kyle M Hall 2016-06-24 13:45:46 UTC
Created attachment 52797 [details] [review]
Bug 16490 - Add an "add to cart" link for each search results in the staff client

This patch adds an "add to cart" link to each line of search results in
the staff client.

To test, apply the patch and clear your browser cache if necessary.

- Enable the intranetbookbag system preference.
- Perform a search which will return multiple search results.
- Each result should have an "Add to cart" link.
  - Clicking the "Add to cart" link should add the title to the cart,
    triggering the correct pop-up message and changing the link to read
    "In your cart (remove)."
  - Clicking the "remove" link should remove the title from your cart
    and trigger the correct messages.
- Add multiple titles to your cart and perform the same search again.
  Each result should correctly indicate which titles are already in your
  cart.
- Open the cart popup window.
  - Check the checkbox for one or more titles in your cart and choose
    "Remove." The titles should be removed, and the "In your cart" label
    in the search results page should reflect that the titles are no
    longer in the cart.
  - Choose "Empty and close." All titles in the parent page should now
    indicate that they are not in the cart.
- Disable the intranetbookbag preference and confirm that the "Add to
  cart" links are no longer there.

Followed test plan. Works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 8 Kyle M Hall 2016-06-24 13:45:53 UTC
Created attachment 52798 [details] [review]
Bug 16490: Tidy updateLink and updateAllLinks

Went through test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 9 Kyle M Hall 2016-06-24 13:46:14 UTC
Pushed to master for 16.11, thanks Owen!
Comment 10 Frédéric Demians 2016-08-01 13:17:07 UTC
Pushed in 16.05. Will be in 16.05.02.